# -*- coding: utf-8 -*-

import smtpd
import ssl
import asyncore
import asynchat
import errno

class SSLDebuggingServer(smtpd.DebuggingServer):
    def create_socket(self, proto, type):
        smtpd.DebuggingServer.create_socket(self, proto, type)
        sslsocket = ssl.wrap_socket(self.socket,
                                    server_side=True,
                                    certfile='server.pem',
                                    keyfile='server.pem')
        self.set_socket(sslsocket)


if __name__ == '__main__':
    SSLDebuggingServer(('localhost', 1025), 'localhost:25')
    asyncore.loop()
    